PanamaCipherPolicy< B > Class Template Reference

_ More...

`#include <panama.h>`

Inheritance diagram for PanamaCipherPolicy< B >:

## Public Types

typedef word32 | WordType

## Public Member Functions

unsigned int | GetAlignment () const
unsigned int | GetBytesPerIteration () const
unsigned int | GetIterationsToBuffer () const
bool | CanOperateKeystream () const
virtual unsigned int | GetOptimalBlockSize () const
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
virtual void | SeekToIteration (lword iterationCount)

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BYTES_PER_ITERATION
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Protected Types

typedef word32 | Stage[8]

## Protected Member Functions

void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)
void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)
bool | CipherIsRandomAccess () const
void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
void | Reset ()
void | Iterate (size_t count, const word32 *p=NULL, byte *output=NULL, const byte *input=NULL, KeystreamOperation operation=WRITE_KEYSTREAM)

## Protected Attributes

FixedSizeSecBlock< word32, 8 > | m_key
FixedSizeAlignedSecBlock< word32, 20+8 *32 > | m_state

## Static Protected Attributes

static const int | STAGES = 32

## Detailed Description

### template<class B>
class PanamaCipherPolicy< B >

_

Definition at line 118 of file panama.h.

The documentation for this class was generated from the following file:

- panama.h